View Issue Details

IDProjectCategoryLast Update
0019628AI War 2[All Projects] SuggestionAug 14, 2020 10:48 pm
ReporterOvalcircleAssigned Tox4000Bughunter 
Severityminor 
Status resolvedResolutionfixed 
Product Version0.743 Music Blooms 
Fixed in Version2.120 Improved Lobby Map Experience 
Summary0019628: Please add a return to default zoom level key in Planet screen
DescriptionBy that I mean if you were to zoom in or spin the camera around, you could press a key and it goes back to the default view, with the wormholes at the correct sides. Example: I have planets A-B-C all lined up. Some marauders attack my planet B. I spin it around to get a better look and then I leave it there because I'm occupied with the battle. I then automatically think "The planets are in a line to the right. I better move my fleet to defend Planet C against an AI wave." And then proceed to move my ships to my "homeworld" instead of the front lines. Plus, the "wrong view" doesn't go away when you click on another planet and back. Notice the pictures and the difference in wormhole placement. This was a big problem in AIWC, with wormholes being strewn about randomly. And I'd rather not play "line up the wormholes."
TagsNo tags attached.

Activities

Ovalcircle

May 9, 2018 12:59 pm

reporter  

x4000Bughunter

Oct 11, 2018 12:19 pm

administrator   ~0049859

from Bobtree: Would like an option that restores default view rotation when you zoom way out.

BadgerBadger

Oct 21, 2019 8:12 pm

manager   ~0053827

Last edited: Oct 21, 2019 8:14 pm

View 2 revisions

I wouldn't mind this. I took a brief minute glancing through the logic and between the PrivateVisExtensions code and the 8 Camera implementations in the External Vis code I decided it was a bit much digging for right now.

I'm less interested in the specific zoom level, but resetting the orientation would be nice.

x4000Bughunter

Oct 21, 2019 8:23 pm

administrator   ~0053828

It would be inside the one in PrivateVisExtensions, as the only one that's really used in-game by default now. But yeah, I do need to do this.

x4000Bughunter

Jul 31, 2020 2:46 pm

administrator   ~0057933

Bump.

x4000Bughunter

Aug 14, 2020 10:48 pm

administrator   ~0058090

Thanks!

* New hotkey in the camera section: Reset Camera Rotation And Tilt
** Default ctrl+R.
** Press this button combo to reset the camera's rotation and tilt to the default values.

Issue History

Date Modified Username Field Change
May 9, 2018 12:59 pm Ovalcircle New Issue
May 9, 2018 12:59 pm Ovalcircle File Added: AI War 2 planet Galaxy map disparity (1).jpg
May 9, 2018 12:59 pm Ovalcircle File Added: AI War 2 planet Galaxy map disparity (2).jpg
May 9, 2018 1:00 pm Ovalcircle Description Updated View Revisions
Jun 28, 2018 6:14 pm x4000Bughunter Assigned To => x4000Bughunter
Jun 28, 2018 6:14 pm x4000Bughunter Status new => assigned
Oct 11, 2018 12:19 pm x4000Bughunter Note Added: 0049859
Oct 21, 2019 8:12 pm BadgerBadger Note Added: 0053827
Oct 21, 2019 8:14 pm BadgerBadger Note Edited: 0053827 View Revisions
Oct 21, 2019 8:23 pm x4000Bughunter Note Added: 0053828
Jul 31, 2020 2:46 pm x4000Bughunter Note Added: 0057933
Aug 14, 2020 10:48 pm x4000Bughunter Status assigned => resolved
Aug 14, 2020 10:48 pm x4000Bughunter Resolution open => fixed
Aug 14, 2020 10:48 pm x4000Bughunter Fixed in Version => 2.120 Improved Lobby Map Experience
Aug 14, 2020 10:48 pm x4000Bughunter Note Added: 0058090